summaryrefslogtreecommitdiff
path: root/build_jags.sh
diff options
context:
space:
mode:
authorranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2011-05-04 20:38:47 +0000
committerranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2011-05-04 20:38:47 +0000
commite35284fd396e6a82a4bfa1842e238f82d61cab83 (patch)
treea74a38489d35829fd5eee534f439095a1776777f /build_jags.sh
parentbaa647f87637ea55afc76fb5fd13f934d219191f (diff)
Include r-cran-rjags for squeeze
git-svn-id: svn+ssh://stiller/home/schatz/reps/r-backports@71 f247ebf9-aa24-0410-a698-f940e971ad2b
Diffstat (limited to 'build_jags.sh')
-rw-r--r--build_jags.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/build_jags.sh b/build_jags.sh
new file mode 100644
index 0000000..3051158
--- /dev/null
+++ b/build_jags.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# Script to automate building jags binaries for CRAN
+
+# Author: Johannes Ranke <jranke@uni-bremen.de>
+
+# On Debian I used to run this script as root. On Ubuntu I now run it with
+# sudo -E sh build_r-base.sh
+
+# Preconditions: - shell variables DIST and ARCH
+# - matching CRAN sources in /etc/apt/sources/list
+# - cdbs installed (and maybe more)
+
+echo Distribution is $DIST
+echo Architecture is $ARCH
+
+apt-get update
+apt-get source jags
+
+cd jags-*
+
+pbuilder update
+
+pdebuild --buildresult /home/ranke/svn/website/www/ranke/r-cran/$DIST-cran/ -- --binary-arch --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz --aptcache /var/cache/pbuilder/$DIST-$ARCH/aptcache --buildplace /var/cache/pbuilder/$DIST-$ARCH/build
+if [ $? -ne 0 ]; then
+ exit
+fi
+
+cd ..

Contact - Imprint